Public Class usrCntlAdministration

    Dim SQL As New VERAG_PROG_ALLGEMEIN.SQL
    Private Sub btnWord_Click(sender As Object, e As EventArgs) Handles btnWord.Click
        frmZollUserStat.Show()
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim frm As New frmKassenVerwaltung("tblRKSV_Kassen", "FMZOLL")
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button2_Click(sender As Object, e As EventArgs) Handles Button2.Click
        Dim frm As New frmKassenVerwaltung("tblPreislisten", "FMZOLL")
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button3_Click(sender As Object, e As EventArgs) Handles Button3.Click
        Dim frm As New frmKassenVerwaltung("tblPreislistenpositionen", "FMZOLL")
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button5_Click(sender As Object, e As EventArgs) Handles Button5.Click
        Dim frm As New frmKassenVerwaltung("Leistungen", "FMZOLL")
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button4_Click(sender As Object, e As EventArgs) Handles Button4.Click
        Dim frm As New frmKassenVerwaltung("Abfertigungsarten", "FMZOLL")
        frm.ShowDialog(Me)
    End Sub

    Private Sub Button6_Click(sender As Object, e As EventArgs) Handles Button6.Click
        Dim frm As New frmKassenVerwaltung("Personal", "FMZOLL")
        frm.ShowDialog(Me)
    End Sub

    Private Sub MyListBox1_DoubleClick(sender As Object, e As EventArgs) Handles MyListBox1.DoubleClick
        If MyComboBox1.Text = "" Then Exit Sub
        If MyListBox1.SelectedItems.Count > 0 Then
            Dim frm As New frmKassenVerwaltung(MyListBox1.SelectedItems(0).ToString, CStr(MyComboBox1.Text))
            frm.ShowDialog(Me)
        End If
    End Sub

    Private Sub usrCntlAdministration_Load(sender As Object, e As EventArgs) Handles Me.Load
        MyComboBox1.SelectedIndex = 0
        txtKostenstelleJahr._value = Now.Year
    End Sub

    Private Sub MyComboBox1_SelectedIndexChanged(sender As Object, e As EventArgs) Handles MyComboBox1.SelectedIndexChanged
        If MyComboBox1.Text = "" Then Exit Sub
        MyListBox1.fillWithSQL("SELECT TABLE_NAME,TABLE_NAME as name FROM INFORMATION_SCHEMA.TABLES WHERE  TABLE_TYPE = 'BASE TABLE' ORDER BY TABLE_NAME", False, CStr(MyComboBox1.Text))
    End Sub

    Private Sub Button7_Click(sender As Object, e As EventArgs) Handles Button7.Click
        Dim frmKasseAbschliessen As New frmKasseAbschliessen
        frmKasseAbschliessen.Show(Me)
    End Sub

    Private Sub Button8_Click(sender As Object, e As EventArgs) Handles Button8.Click
        Dim f As New frmKassenbuchSuche
        f.Show()
    End Sub

    Private Sub Button9_Click(sender As Object, e As EventArgs) Handles Button9.Click
        VERAG_PROG_ALLGEMEIN.cDVO_Interface.genStammdatenANSI(False, cbxKd.Checked, cbxBu.Checked)
    End Sub

    Private Sub Button11_Click(sender As Object, e As EventArgs) Handles Button11.Click
        Me.Cursor = Cursors.WaitCursor
        Try

            If Not IsNumeric(txtKostenstelleJahr._value) Then Me.Cursor = Cursors.Default : Exit Sub
            If txtKostenstelleJahr._value < 2000 Or txtKostenstelleJahr._value > 2999 Then Me.Cursor = Cursors.Default : Exit Sub

            Dim displayFilter = False ' cbxFilterInBericht.Checked
            If VERAG_PROG_ALLGEMEIN.cBerechtignunen.CHECK_BERECHTIGUNG_bool("ZOLL_Auswertungen", "SDL") Then
                Dim sqlstr As String = ""
                'If CheckBox1.Checked Then
                '    sqlstr &= " SELECT FilialenNr,Speditionsbuch.Abfertigungsart,Abfertigungsarten.Abfertigungsbezeichnung,sum(Abfertigungsanzahl) as Anzahl,SUM(Barzahlungsbetrag) as Barzahlungsbetrag,MIN(Abfertigungsdatum) as von, MAX(Abfertigungsdatum) as bis FROM Speditionsbuch LEFT JOIN Abfertigungsarten ON Speditionsbuch.Abfertigungsart=Abfertigungsarten.Abfertigungsart WHERE 1=1 "
                '    sqlstr &= getSpedBuchWhere()
                '    sqlstr &= " group by FilialenNr,Speditionsbuch.Abfertigungsart,Abfertigungsbezeichnung "
                '    sqlstr &= " order by FilialenNr, Speditionsbuch.Abfertigungsart"
                'Else
                '    sqlstr &= " SELECT Speditionsbuch.Abfertigungsart,Abfertigungsarten.Abfertigungsbezeichnung,sum(Abfertigungsanzahl) as Anzahl,SUM(Barzahlungsbetrag) as Barzahlungsbetrag,MIN(Abfertigungsdatum) as von, MAX(Abfertigungsdatum) as bis FROM Speditionsbuch LEFT JOIN Abfertigungsarten ON Speditionsbuch.Abfertigungsart=Abfertigungsarten.Abfertigungsart WHERE 1=1 "
                '    sqlstr &= getSpedBuchWhere()
                '    sqlstr &= " group by Speditionsbuch.Abfertigungsart,Abfertigungsbezeichnung "
                '    sqlstr &= " order by Speditionsbuch.Abfertigungsart"
                'End If

                'sqlstr &= "SELECT Firma_ID,FilialenNr,Kostenstellen.Kostenstelle,Kostenstellen.Bezeichnung, sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.Steuerpflichtig) as Betrag
                '      FROM [Rechnungsausgang] INNER JOIN    RechnungsausgangPositionen on Rechnungsausgang.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen ON Kostenstellen.Kostenstelle=Leistungen.Kostenstelle
                '      where Abfertigungsdatum between '" & datKostenstelleVon.Value.ToShortDateString & "' and '" & datKostenstelleBis.Value.ToShortDateString & "' 
                '      group by Firma_ID, FilialenNr,Kostenstellen.Kostenstelle,Kostenstellen.Bezeichnung
                '      order by Firma_ID,FilialenNr,Kostenstellen.Kostenstelle,Kostenstellen.Bezeichnung "

                Dim Firma_IDString = If(CheckBox2.Checked, " AND RG1.Firma_ID=RG2.Firma_ID ", "")

                Dim jahr = txtKostenstelleJahr._value
                sqlstr &= "  SELECT " & If(CheckBox2.Checked, "Firma_ID2 as Firma_ID, ", "") & " FilialenNr, Kostenstelle, Bezeichnung,sum (Betrag)Gesamt,Sum(Januar)Januar ,Sum(Februar)Februar ,Sum(März)März ,Sum(April)April ,Sum(mai)mai ,Sum(Juni)Juni ,Sum(Juli)Juli ,Sum(August)August ,Sum(September)September ,Sum(Oktober)Oktober ,Sum(November)November ,Sum(Dezember)Dezember FROM (

                SELECT " & If(CheckBox2.Checked, "REPLACE(Firma_ID,11,1) as Firma_ID2, ", "") & "FilialenNr,KSt1.Kostenstelle,KSt1.Bezeichnung, sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag) as Betrag

                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=1 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Januar
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=2 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Februar
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=3 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as März
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=4 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as April
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=5 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Mai
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=6 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Juni
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=7 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Juli
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=8 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as August
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=9 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as September
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=10 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Oktober
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=11 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as November
                 ,isnull((SELECT sum(RechnungsausgangPositionen.SteuerfreierBetrag+RechnungsausgangPositionen.SteuerpflichtigerBetrag)  FROM [Rechnungsausgang] as RG2 INNER JOIN    RechnungsausgangPositionen on RG2.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt2 ON KSt2.Kostenstelle=Leistungen.Kostenstelle where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND DATEPART(MONTH,Abfertigungsdatum )=12 and KSt1.Kostenstelle=KSt2.Kostenstelle " & Firma_IDString & " and RG1.FilialenNr=RG2.FilialenNr),0) as Dezember

                  FROM [Rechnungsausgang] as RG1 INNER JOIN RechnungsausgangPositionen on RG1.RK_ID=RechnungsausgangPositionen.RK_ID INNER JOIN Leistungen ON Leistungen.LeistungsNr=RechnungsausgangPositionen.LeistungsNr INNER JOIN  Kostenstellen as KSt1 ON KSt1.Kostenstelle=Leistungen.Kostenstelle
                  where DATEPART(YEAR,Abfertigungsdatum )=" & jahr & " AND Firma_ID NOT IN (15)
                 AND RG1.FilialenNr NOT IN (4804,4808) 

                group by " & If(CheckBox2.Checked, "Firma_ID, ", "") & "FilialenNr,KSt1.Kostenstelle,KSt1.Bezeichnung
                 
                  ) as T
                   group by  " & If(CheckBox2.Checked, "Firma_ID2, ", "") & "FilialenNr, Kostenstelle, Bezeichnung
                  order by " & If(CheckBox2.Checked, "Firma_ID, ", "") & "FilialenNr,Kostenstelle,Bezeichnung "

                Dim dt As DataTable = SQL.loadDgvBySql(sqlstr, "FMZOLL")
                'DataGridView.DataSource = dt


                Dim print As New frmPrintLayout
                print.Text = "Kostenstellen-Bericht"

                Dim rpt As New rptKostenstellen

                rpt.DataSource = dt

                'Filter anzeigen
                If displayFilter Then
                    rpt.lblFilterTxt.Visible = displayFilter
                    rpt.txtFilter.Visible = displayFilter
                    '   rpt.txtFilter.Text = SQL.getStringReplaceScalarVar(getSpedBuchWhere, getSpedbuchList)
                Else
                    'If txtUeberschr.Text <> "" Then
                    '    rpt.txtFilter.Text = txtUeberschr.Text
                    '    rpt.txtFilter.Visible = True
                    '    rpt.lblFilterTxt.Visible = True
                    '    rpt.lblFilterTxt.Text = "Beschreibung:"
                    'End If
                End If
                Select Case VERAG_PROG_ALLGEMEIN.cAllgemein.FIRMA
                    Case "IMEX" : rpt.picVERAG.Image = My.Resources.IMEX_LOGO_simple : rpt.Label28.Text = "IMEX Customs Service GmbH"
                    Case "ATILLA" : rpt.picVERAG.Image = My.Resources.Atilla : rpt.Label28.Text = "ATILLA Spedition"
                    Case "UNISPED" : rpt.picVERAG.Image = My.Resources.Atilla : rpt.Label28.Text = "UNISPED Spedition"
                    Case Else
                End Select


                If CheckBox2.Checked Then
                    rpt.GroupHeader2.DataField = "Firma_ID" 'Gruppierung
                End If
                rpt.GroupHeader1.DataField = "FilialenNr" 'Gruppierung

                If rpt.DataSource.rows.count = 0 Then
                    rpt.Dispose() : print.Dispose()
                    MsgBox("Keine Daten vorhanden!")
                    Me.Cursor = Cursors.Default : Exit Sub
                End If

                Dim sum = 0
                rpt.lblUeberschrift.Text = "Kostenstellenbericht  " & jahr
                rpt.lblSachbearbeiter.Text = VERAG_PROG_ALLGEMEIN.cAllgemein.USRNAME
                'rpt.lblMandantNiederlassung.Text = PERSONAL.Mandant & "  /  " & PERSONAL.Niederlassung

                'Dim cnt As Integer = 0
                rpt.lblDat.Text = Now.ToLongDateString
                Dim sumAnz As Double = 0
                Dim sumBar As Double = 0


                Dim sum01 As Double = 0
                Dim sum02 As Double = 0
                Dim sum03 As Double = 0
                Dim sum04 As Double = 0
                Dim sum05 As Double = 0
                Dim sum06 As Double = 0
                Dim sum07 As Double = 0
                Dim sum08 As Double = 0
                Dim sum09 As Double = 0
                Dim sum10 As Double = 0
                Dim sum11 As Double = 0
                Dim sum12 As Double = 0


                'If cbxSpedBerichtBar.Checked Then
                '    rpt.lblBarzahlungsbetrag.Visible = True
                '    rpt.lblBarTitle.Visible = True
                '    rpt.lblSummeBar.Visible = True
                'Else
                '    rpt.lblBarzahlungsbetrag.Visible = False
                '    rpt.lblBarTitle.Visible = False
                '    rpt.lblSummeBar.Visible = False
                'End If
                rpt.lblFiliale.Text = "Alle Filialen"

                AddHandler rpt.Detail.Format, Sub()
                                                  rpt.lblVon.Text = (rpt.Fields.Item("Kostenstelle").Value)
                                                  rpt.lblBis.Text = (rpt.Fields.Item("Bezeichnung").Value)
                                                  'rpt.lblAbfAnz.Text = rpt.Fields.Item("Anzahl").Value
                                                  'rpt.lblAbfArtNr.Text = If(rpt.Fields.Item("Abfertigungsart").Value Is DBNull.Value, "-", rpt.Fields.Item("Abfertigungsart").Value)
                                                  'rpt.lblAbfArt.Text = If(rpt.Fields.Item("Abfertigungsbezeichnung").Value Is DBNull.Value, "-", rpt.Fields.Item("Abfertigungsbezeichnung").Value)

                                                  rpt.lblBetrag01.Text = CDbl(rpt.Fields.Item("Januar").Value()).ToString("N0")
                                                  rpt.lblBetrag02.Text = CDbl(rpt.Fields.Item("Februar").Value()).ToString("N0")
                                                  rpt.lblBetrag03.Text = CDbl(rpt.Fields.Item("März").Value()).ToString("N0")
                                                  rpt.lblBetrag04.Text = CDbl(rpt.Fields.Item("April").Value()).ToString("N0")
                                                  rpt.lblBetrag05.Text = CDbl(rpt.Fields.Item("Mai").Value()).ToString("N0")
                                                  rpt.lblBetrag06.Text = CDbl(rpt.Fields.Item("Juni").Value()).ToString("N0")
                                                  rpt.lblBetrag07.Text = CDbl(rpt.Fields.Item("Juli").Value()).ToString("N0")
                                                  rpt.lblBetrag08.Text = CDbl(rpt.Fields.Item("August").Value()).ToString("N0")
                                                  rpt.lblBetrag09.Text = CDbl(rpt.Fields.Item("September").Value()).ToString("N0")
                                                  rpt.lblBetrag10.Text = CDbl(rpt.Fields.Item("Oktober").Value()).ToString("N0")
                                                  rpt.lblBetrag11.Text = CDbl(rpt.Fields.Item("November").Value()).ToString("N0")
                                                  rpt.lblBetrag12.Text = CDbl(rpt.Fields.Item("Dezember").Value()).ToString("N0")

                                                  sum01 += CDbl(rpt.Fields.Item("Januar").Value)
                                                  sum02 += CDbl(rpt.Fields.Item("Februar").Value)
                                                  sum03 += CDbl(rpt.Fields.Item("März").Value)
                                                  sum04 += CDbl(rpt.Fields.Item("April").Value)
                                                  sum05 += CDbl(rpt.Fields.Item("Mai").Value)
                                                  sum06 += CDbl(rpt.Fields.Item("Juni").Value)
                                                  sum07 += CDbl(rpt.Fields.Item("Juli").Value)
                                                  sum08 += CDbl(rpt.Fields.Item("August").Value)
                                                  sum09 += CDbl(rpt.Fields.Item("September").Value)
                                                  sum10 += CDbl(rpt.Fields.Item("Oktober").Value)
                                                  sum11 += CDbl(rpt.Fields.Item("November").Value)
                                                  sum12 += CDbl(rpt.Fields.Item("Dezember").Value)
                                              End Sub
                AddHandler rpt.GroupHeader1.Format, Sub()
                                                        rpt.lblFiliale.Text = SQL.getValueTxtBySql("SELECT CAST(FilialenNr as varchar (4)) + ' ' + Grenzstelle FROM filialen WHERE FilialenNr='" & rpt.Fields.Item("FilialenNr").Value & "'", "FMZOLL")
                                                        sumAnz = 0
                                                        sumBar = 0

                                                        sum01 = 0
                                                        sum02 = 0
                                                        sum03 = 0
                                                        sum04 = 0
                                                        sum05 = 0
                                                        sum06 = 0
                                                        sum07 = 0
                                                        sum08 = 0
                                                        sum09 = 0
                                                        sum10 = 0
                                                        sum11 = 0
                                                        sum12 = 0
                                                    End Sub
                AddHandler rpt.GroupFooter1.Format, Sub()
                                                        '   rpt.lblSummeAnzahl.Text = sumAnz
                                                        rpt.lblSumme01.Text = sum01.ToString("N0")
                                                        rpt.lblSumme02.Text = sum02.ToString("N0")
                                                        rpt.lblSumme03.Text = sum03.ToString("N0")
                                                        rpt.lblSumme04.Text = sum04.ToString("N0")
                                                        rpt.lblSumme05.Text = sum05.ToString("N0")
                                                        rpt.lblSumme06.Text = sum06.ToString("N0")
                                                        rpt.lblSumme07.Text = sum07.ToString("N0")
                                                        rpt.lblSumme08.Text = sum08.ToString("N0")
                                                        rpt.lblSumme09.Text = sum09.ToString("N0")
                                                        rpt.lblSumme10.Text = sum10.ToString("N0")
                                                        rpt.lblSumme11.Text = sum11.ToString("N0")
                                                        rpt.lblSumme12.Text = sum12.ToString("N0")
                                                    End Sub

                AddHandler rpt.GroupHeader2.Format, Sub()
                                                        If CheckBox2.Checked Then rpt.lblFirma.Text = SQL.getValueTxtBySql("SELECT TOP 1 [Firma_Bez] FROM [tblFirma] WHERE  [Firma_ID]='" & rpt.Fields.Item("Firma_ID").Value & "'", "FMZOLL")
                                                        sumAnz = 0
                                                        sumBar = 0
                                                    End Sub


                print.Viewer.LoadDocument(rpt)
                print.Viewer.ViewType = GrapeCity.Viewer.Common.Model.ViewType.Continuous
                print.Show()
            End If

        Catch ex As Exception
            MsgBox(ex.Message & ex.StackTrace)
        End Try
        Me.Cursor = Cursors.Default
    End Sub

    Private Sub Button10_Click(sender As Object, e As EventArgs) Handles Button10.Click
        Dim frmKasseJournalNeuBerechnen As New frmKasseJournalNeuBerechnen
        frmKasseJournalNeuBerechnen.Show(Me)
    End Sub
End Class
